#include<iostream>
using namespace std;
int main ()
{
    int N;
    cin>>N;
    int a[N], b[N];
    for (int i=0; i<N; i++)
    {
        cin>>a[i];
    }
    for (int i=0; i<N; i++)
    {
        cin>>b[i];
    }
    int sum=0, br=0;
    for (int i=0; i<N; i++)
    {
        for (int q=0; q<N; q++)
        {
            while (a[i]==b[q])
            {
                br++;
                i++;
                q++;
            }
            if (br>=2)
            {
                sum=sum+br-1;
            }
            br=0;
        }
    }
    cout<<N-sum;
    return 0;
}
